Linux Kernel ‘ext4_fill_super’ 函数拒绝服务漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1172621 漏洞类型 其他
发布时间 2012-06-13 更新时间 2012-06-13
CVE编号 CVE-2011-2493 CNNVD-ID CNNVD-201206-185
漏洞平台 N/A CVSS评分 2.1
|漏洞来源
https://www.securityfocus.com/bid/80134
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201206-185
|漏洞详情
Linuxkernel是美国Linux基金会发布的开源操作系统Linux所使用的内核。NFSv4implementation是其中的一个分布式文件系统协议。Linuxkernel2.6.39之前版本中的fs/ext4/super.c中的ext4_fill_super函数中存在漏洞,该漏洞源于未正确初始化某些错误报告数据结构。本地用户可利用该漏洞通过试图安装一个特制的ext4文件系统导致拒绝服务(OOPS)。
|受影响的产品
Ultimate PHP Board UPB 2.6.38.8 Ultimate PHP Board UPB 2.6.38.6 Ultimate PHP Board UPB 2.6.38.3 Ultimate PHP Board UPB 2.6.38.1 Ultimate PHP Board UPB 2.6.38 Rc4 Ultimate
|参考资料

来源:github.com
链接:https://github.com/torvalds/linux/commit/0449641130f5652b344ef6fa39fa019d7e94660a
来源:git.kernel.org
链接:http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=0449641130f5652b344ef6fa39fa019d7e94660a
来源:MLIST
名称:[oss-security]20110624Re:CVErequest:kernel:ext4:inittimerearliertoavoidakernelpanicin__save_error_info
链接:http://www.openwall.com/lists/oss-security/2011/06/24/4
来源:ftp.osuosl.org
链接:http://ftp.osuosl.org/pub/linux/kernel/v2.6/ChangeLog-2.6.39
来源:SECUNIA
名称:45466
链接:http://secunia.com/advisories/45466
来源:SECUNIA
名称:46824
链接:http://secunia.com/advisories/46824